Subject: Re: bug#79298: patch: full color in windows terminal

From: Ewan <[email-masked]>
Date: Mon, 25 Aug 2025 20:23:52 +0000

> > The initial patch drew heavily (>15 lines) from this public fork of emacs:
> > https://github.com/tsuu32/emacs-w32con-vt
> > 
> > The revised patch differs substantially, but I suspect it will keep some
> > small chunks of color-computing code, as the forumulas are what they are.
> 
> 
> Can you identify those formulas in the patch you submitted?

In lisp/term/w32console.el, the definition and application of convert-to-16-bit 
in the body of w32con-define-256-colors, and the overall of shape of the
w32con-define-N-colors functions.

In src/w32console.c, within turn_on_face, the conversions of fg and bg which 
yield substituends in the calls to snprintf .